### Hierarchy

- VehicleDoorCollection

## Index

### Constructors

- constructor

### Properties

- _owner
- _vehicleDoors

### Methods

- breakAllDoors
- closeAllDoors
- getAllDoors
- getDoors
- hasDoor
- openAllDoors

## Constructors

### constructor

- new VehicleDoorCollection(owner: Vehicle): VehicleDoorCollection

- - Defined in models/VehicleDoorCollection.ts:12

  #### Parameters

  - ##### owner: Vehicle

  #### Returns VehicleDoorCollection

## Properties

### Private _owner

_owner: Vehicle

- Defined in models/VehicleDoorCollection.ts:6

### Private Readonly _vehicleDoors

_vehicleDoors: Map<VehicleDoorIndex, VehicleDoor> = ...

- Defined in models/VehicleDoorCollection.ts:7

## Methods

### breakAllDoors

- breakAllDoors(stayInTheWorld?: boolean): void

- - Defined in models/VehicleDoorCollection.ts:48

  #### Parameters

  - ##### Optional stayInTheWorld: boolean

  #### Returns void

### closeAllDoors

- closeAllDoors(instantly?: boolean): void

- - Defined in models/VehicleDoorCollection.ts:42

  #### Parameters

  - ##### Optional instantly: boolean

  #### Returns void

### getAllDoors

- getAllDoors(): (undefined | null | VehicleDoor)[]

- - Defined in models/VehicleDoorCollection.ts:23

  #### Returns (undefined | null | VehicleDoor)[]

### getDoors

- getDoors(index: VehicleDoorIndex): undefined | VehicleDoor

- - Defined in models/VehicleDoorCollection.ts:16

  #### Parameters

  - ##### index: VehicleDoorIndex

  #### Returns undefined | VehicleDoor

### hasDoor

- hasDoor(index: VehicleDoorIndex): boolean

- - Defined in models/VehicleDoorCollection.ts:54

  #### Parameters

  - ##### index: VehicleDoorIndex

  #### Returns boolean

### openAllDoors

- openAllDoors(loose?: boolean, instantly?: boolean): void

- - Defined in models/VehicleDoorCollection.ts:36

  #### Parameters

  - ##### Optional loose: boolean

  - ##### Optional instantly: boolean

  #### Returns void

Generated using TypeDoc